import "Turbine.UI";

LPButton = class(Turbine.UI.Button);

LPButton.DefaultColor = Turbine.UI.Color(36/255, 36/255, 36/255);
LPButton.MouseOverColor = Turbine.UI.Color(54/255, 54/255, 54/255);
LPButton.MouseDownColor = Turbine.UI.Color(18/255, 18/255, 18/255);
LPButton.TextDefaultColor = Turbine.UI.Color(229/255, 209/255, 136/255);

function LPButton:Constructor(text)
	Turbine.UI.Button.Constructor(self);

	self:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	self:SetBackColor(LPButton.DefaultColor);
	self:SetForeColor(LPButton.TextDefaultColor);
	self:SetText(text);

	self.MouseEnter = function(sender, args)
		Turbine.UI.Button.SetBackColor(sender, self.MouseOverColor);
	end

	self.MouseLeave = function(sender, args)
		Turbine.UI.Button.SetBackColor(sender, self.DefaultColor);
	end

	self.MouseDown = function(sender, args)
		Turbine.UI.Button.SetBackColor(sender, self.MouseDownColor);
	end
  
	self.MouseUp = function(sender, args)
		Turbine.UI.Button.SetBackColor(sender, self.DefaultColor);
	end
	
end

function LPButton:SetBackColor(color)
	Turbine.UI.Button.SetBackColor(self, color);
	
	self.DefaultColor = LPButton.DefaultColor;
	self.MouseOverColor = LPButton.MouseOverColor;
	self.MouseDownColor = LPButton.MouseDownColor;
end	
